Develop #1999

Merged
merged 2 commits into from Apr 11, 2013

Conversation

Projects
None yet
3 participants

foocraft commented Apr 7, 2013

Sorry for the wrong pull requests sent previously. This fixes #1984 on debian/ubuntu, haven't tried on archlinux, but I believe @arturoc is right about adding openssl. Can't try it at the moment.

foocraft added some commits Apr 7, 2013

@foocraft foocraft Fixed install_dependencies.sh on ubuntu
libssl-dev was missing, which prevented pkg-config openssl --cflags from working.
8fcd5e0
@foocraft foocraft Fixed install_dependencies.sh on debian
libssl-dev was missing, which prevented pkg-config openssl --cflags from working.
71cccca
Owner

bilderbuchi commented Apr 8, 2013

Thank you for this PR.
I'm wondering, how can this fix #1984, when that is an issue about faulty gstreamer version recognition, and also your comment points to another solution entirely?

foocraft commented Apr 8, 2013

It fixes something that popped up in the discussion in #1984, specifically the install_dependencies.sh script not installing the required package for pkg-config openssl to work. When that package was added I was able to build openframeworks without any gstreamer, gtk or cairo issues on ubuntu. I've not yet tried modifying the install_dependencies.sh script on archlinux.

My guess is that the failure of pkg-config with openssl made other things that shouldn't fail, fail.

foocraft commented Apr 8, 2013

Oh yeah, as for the comments posted about replacing $$? with $?, that was a mistake on my part.

arturoc merged commit 2767e81 into openframeworks:develop Apr 11, 2013

Owner

arturoc commented Apr 11, 2013

thanks!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment